LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XContentControlsSupplier Interface Reference

makes it possible to access the content controls within the context (e.g. More...

`import <XContentControlsSupplier.idl;`

Inheritance diagram for XContentControlsSupplier:

## Public Member Functions
com::sun::star::container::XIndexAccess | getContentControls ()
| returns a collection of content controls.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

makes it possible to access the content controls within the context (e.g.

document).

Since
  LibreOffice 7.5

## Member Function Documentation

## ◆ getContentControls()

com::sun::star::container::XIndexAccess getContentControls | ( |  | ) |

returns a collection of content controls.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XContentControlsSupplier.idl